# Retrieve a specific activity log event

> Retrieves one Activity Log event from the same 90-day visibility set as the list endpoint. Full admins and Activity Log admins can retrieve company-wide events; other admins can retrieve only events for app installations they fully administer. An admin with no administered app installation receives 403. An ID outside that visibility set, including an event for an installation the caller does not administer, returns 404.

GET

/activity-log/{id}/

Retrieves one Activity Log event from the same 90-day visibility set as the list endpoint. Full admins and Activity Log admins can retrieve company-wide events; other admins can retrieve only events for app installations they fully administer. An admin with no administered app installation receives 403. An ID outside that visibility set, including an event for an installation the caller does not administer, returns 404.

### Required Scopes

-   activity-log.read
    

### Request

Path Parameters

**id** id required

ID of the resource to return

Query Parameters

**expand** string

#### Expanding objects

Fields:worker

## Responses

-   200

Successful response

-   application/json

-   Schema
-   Example (from schema)

**Schema**

**\_\_meta** object

**redacted\_fields** object\[\]

Array \[

**name** string

The name for the redacted field

**reason** string

The reason for the redaction

\]

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**occurred\_at** string

The activity occurrence time as an ISO 8601 UTC timestamp. Unlike created\_at, which records when the Activity Log record was persisted, occurred\_at records when the underlying activity happened.

**event\_type** string

The open UPPER\_SNAKE\_CASE Activity Log code, such as USER\_LOGIN\_SUCCESS. New codes can appear over time.

**status** string

The outcome of the activity. SUCCESS means the activity completed successfully; FAILURE means the activity failed. Null when no outcome was recorded.

**Possible values:** \[SUCCESS,FAILURE\]

**actor\_type** string

The kind of actor that initiated the event. WORKER is a Rippling worker; INTERNAL\_BY\_WORKER is an internal API request triggered by a worker; SYSTEM is an automated Rippling system process; EXTERNAL is an external system or integration; RIPPLING\_MDM is Rippling MDM; PARTNER is a Rippling partner, but the partner identity is not returned; and PROXY is Rippling staff or support acting through proxy. Null when no actor type was recorded.

**Possible values:** \[WORKER,SYSTEM,EXTERNAL,INTERNAL\_BY\_WORKER,RIPPLING\_MDM,PARTNER,PROXY\]

**worker\_id** string

The Platform worker ID from GET /workers/{id}/ when the actor is a worker. Null when the actor is not a worker.

**worker** object

The worker who initiated the activity. Request with expand=worker and the workers.read OAuth scope to return the Worker resource.

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**user\_id** string

The worker's associated user.

**user** object

The worker's associated user.

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**active** boolean

Whether the user is able to access company resources, typically when they are in actively engaged with the company and not after off-boarding.

**username** string

The unique identifier across Rippling used by the User for direct authentication into their associated company. Globally unique.

**name** object

The user's name.

**formatted** string

The user's full name.

**given\_name** string

The given legal name of the user, or first name in most Western languages.

**middle\_name** string

The middle name(s) of the user.

**family\_name** string

The legal family name of the user, or last name in most Western languages.

**preferred\_given\_name** string

The preferred given name, or first name in most Western languages, by the user.

**preferred\_family\_name** string

The preferred family name, or last name in most Western languages, by the user.

**display\_name** string

The display name of the user using either the concatenated preferred given and family name or username depending on availability.

**emails** object\[\]

The user's email addresses.

Array \[

**value** string

A valid email address.

**type** string

The classification of the email.

**Possible values:** \[HOME,WORK,OTHER\]

**display** string

The display value of the email address.

\]

**phone\_numbers** object\[\]

The user's phone numbers.

Array \[

**value** string

The canonical global phone number pursuant to RFC3966.

**type** string

The classification of the phone number, pursuant to SCIM RFC 7643 4.1.2.

**Possible values:** \[HOME,WORK,MOBILE,FAX,OTHER\]

**display** string

The display value of the phone number.

\]

**addresses** object\[\]

The user's addresses.

Array \[

**type** string

The classification of the address.

**Possible values:** \[HOME,WORK,OTHER\]

**formatted** string

The formatted mailing address.

**street\_address** string

The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

**locality** string

The city or locality component.

**region** string

The state or region component, pursuant to SCIM RFC 7643 4.1.2.

**postal\_code** string

The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

**country** string

The country component, pursuant to SCIM RFC 7643 4.1.2.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

\]

**photos** object\[\]

The user's photos.

Array \[

**value** string

The URL of the photo.

**type** string

The classification of the photo.

**Possible values:** \[PHOTO,THUMBNAIL\]

\]

**preferred\_language** string

The User's preferred written or spoken language in the same format of the HTTP Accept-Language header, pursuant to Section 5.3.5 of RFC7231.

**locale** string

The User's default location for purposes of localization of currency, date time format, or numerical representations pursuant to RFC5646.

**timezone** string

The User's current time zone in IANA database Olson format

**number** string

The permanent profile number of the user.

**is\_manager** boolean

Whether the worker is a manager

**manager\_id** string

The worker's manager.

**manager** object

The worker's manager.

**legal\_entity\_id** string

The worker's associated legal entity.

**legal\_entity** object

The worker's associated legal entity.

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**tax\_identifier** string

The tax identifier for the legal entity.

**country** object

The country the legal entity is based in.

**code** string required

The code of the country.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

**legal\_name** string

The legal name of the legal entity.

**entity\_level** string

The legal entity's level in a hierarchy. \* `PARENT`: The legal entity is considered the ultimate holding entity. \* `SUBSIDIARY`: The legal entity is considered a subsidiary, fully or partially held by another. \* `BRANCH`: The legal entity is considered a branch, associated with a parent legal entity.

**Possible values:** \[PARENT,SUBSIDIARY,BRANCH\]

**registration\_date** string

The registration date of the entity.

**mailing\_address** object

The mailing address of the legal entity.

**type** string

The classification of the address.

**Possible values:** \[HOME,WORK,OTHER\]

**formatted** string

The formatted mailing address.

**street\_address** string

The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

**locality** string

The city or locality component.

**region** string

The state or region component, pursuant to SCIM RFC 7643 4.1.2.

**postal\_code** string

The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

**country** string

The country component, pursuant to SCIM RFC 7643 4.1.2.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

**physical\_address** object

The physical address of the legal entity, if it differs from the mailing address.

**type** string

The classification of the address.

**Possible values:** \[HOME,WORK,OTHER\]

**formatted** string

The formatted mailing address.

**street\_address** string

The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

**locality** string

The city or locality component.

**region** string

The state or region component, pursuant to SCIM RFC 7643 4.1.2.

**postal\_code** string

The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

**country** string

The country component, pursuant to SCIM RFC 7643 4.1.2.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

**parent\_id** string

The parent legal entity.

**parent** object

The parent legal entity.

**management\_type** string

The legal entity management type in the case of an employer of record (EOR) or professional employment organization (PEO). \* `PEO`: The legal entity is considered a Professional Employment Organization (PEO). \* `EOR`: The legal entity is considered an Employer of Record (EOR).

**Possible values:** \[PEO,EOR,COR\]

**company\_id** string

The company or organization associated with the legal entity

**company** object

The company or organization associated with the legal entity

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**parent\_legal\_entity\_id** string

The company's ultimate holding entity.

**parent\_legal\_entity** object

The company's ultimate holding entity.

**legal\_entities\_id** string\[\] required

A list of the company's entities.

**legal\_entities** object\[\] required

A list of the company's entities.

Expandable field

**physical\_address** object

The physical address of the holding entity.

**type** string

The classification of the address.

**Possible values:** \[HOME,WORK,OTHER\]

**formatted** string

The formatted mailing address.

**street\_address** string

The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

**locality** string

The city or locality component.

**region** string

The state or region component, pursuant to SCIM RFC 7643 4.1.2.

**postal\_code** string

The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

**country** string

The country component, pursuant to SCIM RFC 7643 4.1.2.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

**primary\_email** string

The email address used when registering this company.

**legal\_name** string

The legal name of the company.

**doing\_business\_as\_name** string

The doing business as name for the company.

**phone** string

The phone number for the company.

**name** string required

The name of the company.

**country** string

The worker's country.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

**start\_date** string

The start date of the worker.

**end\_date** string

The end date of the worker.

**number** integer

The worker's number within the organization.

**work\_email** string

The worker's associated work email address.

**personal\_email** string

The worker's associated personal email address.

**status** string

The worker's status within the organization.

**Possible values:** \[INIT,HIRED,ACCEPTED,ACTIVE,TERMINATED\]

**location** object

The location that the worker is mapped to for tax purposes. In the case that a worker is remote, the location's type is remote.

**type** string required

The type of location.

**Possible values:** \[REMOTE,WORK\]

**work\_location\_id** string required

The work location, if the worker isn't remote.

**employment\_type\_id** string

The worker's employment type.

**employment\_type** object

The worker's employment type.

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**label** string required

The display label of the employment type.

**name** string

The name of the employment type for non-custom employment types.

**type** string

The classification of the worker by the company. \* `CONTRACTOR`: Contractors are self-employed workers who provide services on a short-term or per-project basis and are not eligible for tax-withholding or benefits. \* `EMPLOYEE`: Employees are hired and managed by an employer, work under the employer's direct supervision and control, and are protected by law for wages and employment rights.

**Possible values:** \[CONTRACTOR,EMPLOYEE\]

**compensation\_time\_period** string

The compensation period for the employment type. \* `SALARIED`: Employees that are paid a fixed amount per year. \* `HOURLY`: Employees that are paid a wage per hour worked.

**Possible values:** \[HOURLY,SALARIED\]

**amount\_worked** string

The amount worked for the employment type. \* `FULL-TIME`: Full-time is at least 30 hours per week. Full-time workers will typically be eligible for benefits. \* `PART-TIME`: Part-time is less than 30 hours per week. These workers may be eligible for benefits, depending on company settings and hours worked. \* `TEMPORARY`: These workers are hired on a temporary basis. You can specify how each worker with this employment type will be paid individually.

**Possible values:** \[PART-TIME,FULL-TIME,TEMPORARY\]

**gender** string

The gender of the worker, if specified.

**Possible values:** \[MALE,FEMALE,NONBINARY,UNDETERMINED,DIVERSE,DOES\_NOT\_APPLY,PREFER\_NOT\_TO\_SAY\]

**date\_of\_birth** string

The worker's date of birth.

**race** string

The identified race of the worker, if specified.

**Possible values:** \[BLACK,BROWN,CHINESE,EURASIAN,INDIAN,INDIGENOUS,MALAY,WHITE,YELLOW,NOT\_INFORMED,OTHER\]

**ethnicity** string

The identified ethnicity of the worker, if specified.

**Possible values:** \[HISPANIC\_OR\_LATINO,WHITE,BLACK\_OR\_AFRICAN\_AMERICAN,NATIVE\_HAWAIIAN\_OR\_OTHER\_PACIFIC\_ISLANDER,ASIAN,AMERICAN\_INDIAN\_OR\_ALASKA\_NATIVE,TWO\_OR\_MORE\_RACES,MIDDLE\_EASTERN\_OR\_NORTH\_AFRICAN,DECLINE\_TO\_SELF\_IDENTIFY,AFRICAN,COLOURED,INDIAN,OTHER,PREFER\_NOT\_TO\_SAY\]

**citizenship** string

The countries that the worker has citizenship in.

**Possible values:** \[AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW\]

**compensation\_id** string

The compensation package for the worker.

**compensation** object

The compensation package for the worker.

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**worker\_id** string

The worker's ID.

**worker** object

The worker's details.

**annual\_compensation** object

The worker's annual compensation. This calculation assumes 40-hour work weeks for workers with an hourly wage.

**currency\_type** string

The currency type, ex: USD, EUR, etc.

**value** number

The decimal amount for the currency.

**annual\_salary\_equivalent** object

The worker's annual salary equivalent, for insurance purposes. It will be equal to the worker's annual compensation, except for owners that are receiving no cashcompensation.

**currency\_type** string

The currency type, ex: USD, EUR, etc.

**value** number

The decimal amount for the currency.

**hourly\_wage** object

The worker's hourly wage. This calculation assumes 40-hour work weeks for workers with fixed compensation.

**currency\_type** string

The currency type, ex: USD, EUR, etc.

**value** number

The decimal amount for the currency.

**monthly\_compensation** object

The worker's monthly compensation. This calculation assumes 40-hour work weeks for workers with an hourly wage.

**currency\_type** string

The currency type, ex: USD, EUR, etc.

**value** number

The decimal amount for the currency.

**on\_target\_commission** object

The worker's on-target commission.

**currency\_type** string

The currency type, ex: USD, EUR, etc.

**value** number

The decimal amount for the currency.

**relocation\_reimbursement** object

The worker's hourly wage. This calculation assumes 40-hour work weeks for workers with fixed compensation.

**currency\_type** string

The currency type, ex: USD, EUR, etc.

**value** number

The decimal amount for the currency.

**signing\_bonus** object

The worker's signing bonus.

**currency\_type** string

The currency type, ex: USD, EUR, etc.

**value** number

The decimal amount for the currency.

**target\_annual\_bonus** object

The worker's target annual bonus amount.

**currency\_type** string

The currency type, ex: USD, EUR, etc.

**value** number

The decimal amount for the currency.

**weekly\_compensation** object

The worker's weekly compensation. This calculation assumes 40-hour work weeks for workers with an hourly wage.

**currency\_type** string

The currency type, ex: USD, EUR, etc.

**value** number

The decimal amount for the currency.

**target\_annual\_bonus\_percent** number

The worker's target annual bonus as a percent of annual compensation.

**bonus\_schedule** string

The worker's bonus schedule.

**payment\_type** string

The payment type for an worker's compensation.

**payment\_terms** string

The payment terms for an worker's compensation.

**salary\_effective\_date** string

Salary effective date

**overtime\_exemption** string

The worker's overtime exemption status.

**Possible values:** \[EXEMPT,NON\_EXEMPT\]

**department\_id** string

The worker's assigned department.

**department** object

The worker's assigned department.

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**name** string required

The name of the department.

**parent\_id** string

The parent department.

**parent** object

The parent department.

**reference\_code** string

Reference code of the department.

**department\_hierarchy\_id** string\[\]

The identifier of departments in the department hierarchy ordered from parent department to child department.

**department\_hierarchy** object\[\]

List of departments in the department hierarchy. Refer department\_hierarchy\_ids for department hierarchy order.

Expandable field

**teams\_id** string\[\]

The worker's assigned teams.

**teams** object\[\]

The worker's assigned teams.

Array \[

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**parent\_id** string

The parent team

**parent** object

The parent team

**name** string required

The name of the team.

\]

**title** string

The worker's title.

**title\_effective\_date** string

Title effective date

**level\_id** string

The level of the worker.

**level** object

The level of the worker.

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**name** string required

The name of the level. Must be unique within the company or organization.

**parent\_id** string

The parent level.

**parent** object

The parent level.

**global\_level** integer

Global level is used to track the seniority of levels. The higher up a level is placed on the page, the more senior and higher-ranked the level. Global level is used in workflows, policies, and reports that use the level attribute (e.g., you can use Level Lookup to set up a workflow that notifies the nearest person in an worker's management chain at or above the specified level).

**description** string

The description of the level.

**scope\_of\_responsibilities** string

The scope of responsibilities for the level.

**experience\_requirements** string

The experience requirements for the level.

**rank** integer

The rank of the level within its track.

**track\_id** string

The track associated with the level. Required during creation. Include global\_level when changing it.

**track** object

The track associated with the level, if it's not a global level.

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**name** string required

The name of the track. Must be unique within the company or organization.

**is\_default** boolean

Whether this is the company's default track.

**order** integer

The one-based horizontal display order of the track.

**start\_global\_level** integer

The highest global level occupied by this track. Empty tracks return null.

**job\_function\_id** string

ID of the worker's job function.

**job\_function** object

The worker's job function. When expanded, this field requires \`job-functions.read\`.

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**name** string

Displayed name of the job function

**termination\_details** object

The details of the worker's termination, if applicable.

**type** string

The termination type indicates whether the termination was voluntary or involuntary.

**Possible values:** \[VOLUNTARY,INVOLUNTARY,RETIREMENT,DEATH,ABANDONMENT,OFFER\_DECLINED,RESCIND,RENEGE\]

**reason** string

This is a description that will be custom to each Rippling company.

**pay\_schedule\_id** string

The ID of the pay schedule currently associated with the worker.

**work\_schedule** object

The worker's scheduled working hours for each day of the week.

**property name\*** object

The scheduled working hours for a day of the week.

**hours** number

The number of scheduled working hours for the day.

**compensation\_grade** object

The compensation grade assigned to the worker, if any.

**id** string

The compensation grade's unique identifier.

**label** string

The compensation grade's label.

**original\_start\_date** string

The worker's earliest start date across their employment history, excluding INIT roles.

**custom\_fields** object\[\]

Custom field values defined on the Employee object for this worker

Array \[

**property name\*** object

\]

**country\_fields** object

Country level fields for the worker.

**us** object

Country-wise regional fields for USA

**ssn** string

Social Security Number (SSN) for US employees.

**ca** object

Country-wise regional fields for Canada

**sin** string

Social Insurance Number (SIN) for Canada employees.

**nz** object

Country-wise regional fields for New Zealand

**ird\_number** string

Inland Revenue Department (IRD) number for New Zealand employees.

**business\_partners\_id** string\[\]

Worker's assigned business partners unique identifiers. Returns an empty list (\[\]) if the worker has no business partners.

**business\_partners** object\[\]

Worker's assigned business partners. This field is only populated when explicitly requested via the expand parameter (e.g., ?expand=business\_partners). When expanded, returns an empty list (\[\]) if the worker has no business partners.

Array \[

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**business\_partner\_group\_id** string required

Identifier of business partner group the business parter is a part of

**business\_partner\_group** object

Business partner group the business partner is a part of

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**name** string required

Name used to identify business partner group

**domain** string

Type of business partner group

**Possible values:** \[HR,IT,FINANCE,RECRUITING,OTHER\]

**default\_business\_partner\_id** string

Id of Optional default business partner worker to whom all employees will be mapped if not explicitly mapped to a business partner in the group.

**default\_business\_partner** object

Optional default business partner worker to whom all employees will be mapped if not explicitly mapped to a business partner in the group.

**worker\_id** string required

Identifier of worker who is the business partner

**worker** object

Worker who is the business partner

**client\_group\_id** string

Identifier of group of workers associated with the business partner

**client\_group** object

Group of workers associated with the business partner

**id** string required

Identifier field

**created\_at** string required

Record creation date

**updated\_at** string required

Record update date

**display\_name** string

The group's display name.

**name** string

The group's name.

**app\_owner\_id** string

The id of the group's app owner.

**group\_type** string

The group type

**sub\_group\_type** string

The sub group type

**read\_only** boolean

Whether the group is read only.

**description** string

The group's description.

**parent** string

The group's parent.

**mutually\_exclusive\_key** string

The group's mutually exclusive key

**cumulatively\_exhaustive\_default** boolean

Whether the group is the cumulatively exhaustive default

**include\_terminated** boolean

Whether the group include terminated roles

**allow\_non\_employees** boolean

Whether the group allows non employees

**can\_override\_role\_states** boolean

Whether the group can override role states

**priority** integer

The group's priority when calculating mutual exclusivity

**is\_invisible** boolean

Whether the group is invisible

**ignore\_prov\_group\_matching** boolean

Whether to ignore provisioning group matching when determining group membership

**client\_group\_member\_count** integer

Number of workers associated with the business partner

\]

**targets** object\[\]

The resources affected by the activity. Empty when no targets were recorded.

Array \[

**type** string

The kind of target. WORKER uses the worker ID from GET /workers/{id}/; DEVICE uses the device ID from GET /devices/{id}/; GROUP uses the group ID from GET /supergroups/{id}/; SPOKE\_USER uses the app-user ID from GET /app-users/{id}/. COMPUTER is deprecated in favor of DEVICE and its ID is not a Platform resource ID. IDs for SPOKE, RPASS\_ITEM, RPASS\_FOLDER, SCHEDULED\_CHANGE, BDR\_POLICY, AUTH\_RULE, COMPANY\_AUTH\_RULE, USER\_ACCOUNT, HARDWARE\_SCRIPT, HARDWARE\_CONFIGURATION, SOFTWARE\_UPDATE, OS\_SOFTWARE\_UPDATE, WORK\_EMAIL\_POLICY, OFFBOARDING\_POLICY, REMOTE\_ACCESS\_SESSION\_OPTIONS, and REMOTE\_ACCESS\_SESSION\_ERROR\_DETAILS are not Platform resource IDs.

**Possible values:** \[WORKER,SPOKE,RPASS\_ITEM,SPOKE\_USER,GROUP,RPASS\_FOLDER,SCHEDULED\_CHANGE,COMPUTER,BDR\_POLICY,AUTH\_RULE,COMPANY\_AUTH\_RULE,DEVICE,USER\_ACCOUNT,HARDWARE\_SCRIPT,HARDWARE\_CONFIGURATION,SOFTWARE\_UPDATE,OS\_SOFTWARE\_UPDATE,WORK\_EMAIL\_POLICY,OFFBOARDING\_POLICY,REMOTE\_ACCESS\_SESSION\_OPTIONS,REMOTE\_ACCESS\_SESSION\_ERROR\_DETAILS\]

**id** string

The ID of the resource affected by the event. Null when the event target has no referenced resource. Filtering by targets.id is not supported for GROUP or SPOKE\_USER targets.

\]

**source\_app\_handle** string

The public app handle used by GET /app-users/ for the Rippling app associated with the activity. Null when the activity is not app-specific.

**reason** object

Why the activity occurred. Null when no reason was recorded.

**code** string

The machine-readable reason code recorded for the event. Null when no reason was recorded.

**message** string

The human-readable meaning of the reason code. Null when no reason was recorded.

**request\_context** object

Request and approximate location details captured for the activity. Null for non-request events.

**ip\_address** string

The IPv4 or IPv6 address associated with the request. Null without the activity-log.sensitive-data.read scope.

**device** string

The device family parsed from the request user agent. Returned with the activity-log.read scope. Null when unavailable.

**browser** string

The browser family parsed from the request user agent. Returned with the activity-log.read scope. Null when unavailable.

**operating\_system** string

The operating system parsed from the request user agent. Returned with the activity-log.read scope. Null when unavailable.

**city** string

The city resolved from the request IP address. Null without the activity-log.sensitive-data.read scope or when geolocation is unresolved.

**state** string

The state or region resolved from the request IP address. Null without the activity-log.sensitive-data.read scope or when geolocation is unresolved.

**country** string

The country resolved from the request IP address. Null without the activity-log.sensitive-data.read scope or when geolocation is unresolved.

**latitude** number

The approximate latitude in decimal degrees resolved from the request IP address. Null without the activity-log.sensitive-data.read scope or when geolocation is unresolved.

**longitude** number

The approximate longitude in decimal degrees resolved from the request IP address. Null without the activity-log.sensitive-data.read scope or when geolocation is unresolved.

**accuracy\_radius** number

The accuracy radius of the IP-derived location in kilometers. Null without the activity-log.sensitive-data.read scope or when geolocation is unresolved.

```json
{
  "__meta": {
    "redacted_fields": [
      {
        "name": "date_of_birth",
        "reason": "Insufficient entitlements"
      }
    ]
  },
  "id": "string",
  "created_at": "string",
  "updated_at": "string",
  "occurred_at": "string",
  "event_type": "string",
  "status": "SUCCESS",
  "actor_type": "WORKER",
  "worker_id": "string",
  "worker": {
    "id": "string",
    "created_at": "string",
    "updated_at": "string",
    "user_id": "string",
    "user": {
      "id": "string",
      "created_at": "string",
      "updated_at": "string",
      "active": false,
      "username": "string",
      "name": {
        "formatted": "string",
        "given_name": "string",
        "middle_name": "string",
        "family_name": "string",
        "preferred_given_name": "string",
        "preferred_family_name": "string"
      },
      "display_name": "string",
      "emails": [
        {
          "value": "string",
          "type": "HOME",
          "display": "string"
        }
      ],
      "phone_numbers": [
        {
          "value": "string",
          "type": "HOME",
          "display": "string"
        }
      ],
      "addresses": [
        {
          "type": "HOME",
          "formatted": "string",
          "street_address": "string",
          "locality": "string",
          "region": "string",
          "postal_code": "string",
          "country": "AF"
        }
      ],
      "photos": [
        {
          "value": "string",
          "type": "PHOTO"
        }
      ],
      "preferred_language": "string",
      "locale": "string",
      "timezone": "string",
      "number": "string"
    },
    "is_manager": false,
    "manager_id": "string",
    "manager": {},
    "legal_entity_id": "string",
    "legal_entity": {
      "id": "string",
      "created_at": "string",
      "updated_at": "string",
      "tax_identifier": "string",
      "country": {
        "code": "AF"
      },
      "legal_name": "string",
      "entity_level": "PARENT",
      "registration_date": "string",
      "mailing_address": {
        "type": "HOME",
        "formatted": "string",
        "street_address": "string",
        "locality": "string",
        "region": "string",
        "postal_code": "string",
        "country": "AF"
      },
      "physical_address": {
        "type": "HOME",
        "formatted": "string",
        "street_address": "string",
        "locality": "string",
        "region": "string",
        "postal_code": "string",
        "country": "AF"
      },
      "parent_id": "string",
      "parent": {},
      "management_type": "PEO",
      "company_id": "string",
      "company": {
        "id": "string",
        "created_at": "string",
        "updated_at": "string",
        "parent_legal_entity_id": "string",
        "parent_legal_entity": {},
        "legal_entities_id": [
          "string"
        ],
        "legal_entities": [
          "string"
        ],
        "physical_address": {
          "type": "HOME",
          "formatted": "string",
          "street_address": "string",
          "locality": "string",
          "region": "string",
          "postal_code": "string",
          "country": "AF"
        },
        "primary_email": "string",
        "legal_name": "string",
        "doing_business_as_name": "string",
        "phone": "string",
        "name": "string"
      }
    },
    "country": "AF",
    "start_date": "string",
    "end_date": "string",
    "number": 0,
    "work_email": "string",
    "personal_email": "string",
    "status": "INIT",
    "location": {
      "type": "REMOTE",
      "work_location_id": "string"
    },
    "employment_type_id": "string",
    "employment_type": {
      "id": "string",
      "created_at": "string",
      "updated_at": "string",
      "label": "string",
      "name": "string",
      "type": "CONTRACTOR",
      "compensation_time_period": "HOURLY",
      "amount_worked": "PART-TIME"
    },
    "gender": "MALE",
    "date_of_birth": "string",
    "race": "BLACK",
    "ethnicity": "HISPANIC_OR_LATINO",
    "citizenship": "AF",
    "compensation_id": "string",
    "compensation": {
      "id": "string",
      "created_at": "string",
      "updated_at": "string",
      "worker_id": "string",
      "worker": {},
      "annual_compensation": {
        "currency_type": "string",
        "value": 0
      },
      "annual_salary_equivalent": {
        "currency_type": "string",
        "value": 0
      },
      "hourly_wage": {
        "currency_type": "string",
        "value": 0
      },
      "monthly_compensation": {
        "currency_type": "string",
        "value": 0
      },
      "on_target_commission": {
        "currency_type": "string",
        "value": 0
      },
      "relocation_reimbursement": {
        "currency_type": "string",
        "value": 0
      },
      "signing_bonus": {
        "currency_type": "string",
        "value": 0
      },
      "target_annual_bonus": {
        "currency_type": "string",
        "value": 0
      },
      "weekly_compensation": {
        "currency_type": "string",
        "value": 0
      },
      "target_annual_bonus_percent": 0,
      "bonus_schedule": "string",
      "payment_type": "string",
      "payment_terms": "string",
      "salary_effective_date": "string"
    },
    "overtime_exemption": "EXEMPT",
    "department_id": "string",
    "department": {
      "id": "string",
      "created_at": "string",
      "updated_at": "string",
      "name": "string",
      "parent_id": "string",
      "parent": {},
      "reference_code": "string",
      "department_hierarchy_id": [
        "string"
      ],
      "department_hierarchy": [
        "string"
      ]
    },
    "teams_id": [
      "string"
    ],
    "teams": [
      {
        "id": "string",
        "created_at": "string",
        "updated_at": "string",
        "parent_id": "string",
        "parent": {},
        "name": "string"
      }
    ],
    "title": "string",
    "title_effective_date": "string",
    "level_id": "string",
    "level": {
      "id": "string",
      "created_at": "string",
      "updated_at": "string",
      "name": "string",
      "parent_id": "string",
      "parent": {},
      "global_level": 0,
      "description": "string",
      "scope_of_responsibilities": "string",
      "experience_requirements": "string",
      "rank": 0,
      "track_id": "string",
      "track": {
        "id": "string",
        "created_at": "string",
        "updated_at": "string",
        "name": "string",
        "is_default": false,
        "order": 0,
        "start_global_level": 0
      }
    },
    "job_function_id": "string",
    "job_function": {
      "id": "string",
      "created_at": "string",
      "updated_at": "string",
      "name": "string"
    },
    "termination_details": {
      "type": "VOLUNTARY",
      "reason": "string"
    },
    "pay_schedule_id": "string",
    "work_schedule": {
      "property name": {
        "hours": 0
      }
    },
    "compensation_grade": {
      "id": "string",
      "label": "string"
    },
    "original_start_date": "string",
    "custom_fields": [
      "string"
    ],
    "country_fields": {
      "us": {
        "ssn": "string"
      },
      "ca": {
        "sin": "string"
      },
      "nz": {
        "ird_number": "string"
      }
    },
    "business_partners_id": [
      "string"
    ],
    "business_partners": [
      {
        "id": "string",
        "created_at": "string",
        "updated_at": "string",
        "business_partner_group_id": "string",
        "business_partner_group": {
          "id": "string",
          "created_at": "string",
          "updated_at": "string",
          "name": "string",
          "domain": "HR",
          "default_business_partner_id": "string",
          "default_business_partner": {}
        },
        "worker_id": "string",
        "worker": {},
        "client_group_id": "string",
        "client_group": {
          "id": "string",
          "created_at": "string",
          "updated_at": "string",
          "display_name": "string",
          "name": "string",
          "app_owner_id": "string",
          "group_type": "string",
          "sub_group_type": "string",
          "read_only": false,
          "description": "string",
          "parent": "string",
          "mutually_exclusive_key": "string",
          "cumulatively_exhaustive_default": false,
          "include_terminated": false,
          "allow_non_employees": false,
          "can_override_role_states": false,
          "priority": 0,
          "is_invisible": false,
          "ignore_prov_group_matching": false
        },
        "client_group_member_count": 0
      }
    ]
  },
  "targets": [
    {
      "type": "WORKER",
      "id": "string"
    }
  ],
  "source_app_handle": "string",
  "reason": {
    "code": "string",
    "message": "string"
  },
  "request_context": {
    "ip_address": "string",
    "device": "string",
    "browser": "string",
    "operating_system": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "latitude": 0,
    "longitude": 0,
    "accuracy_radius": 0
  }
}
```

Source: https://developer.rippling.com/documentation/rest-api/reference/get-activity-log

> For the complete documentation index, see [llms.txt](https://developer.rippling.com/llms.txt). Public pages have a Markdown version at the same URL with .md added.
